<template functional>
  <div
    :ref="data.ref"
    class="flex justify-start items-start leading-normal"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <!-- <svg-icon
      class="flex-shrink-0 mr-2 h-6 w-6 text-gray-500"
      style="fill: none"
      :icon="props.icon"
    /> -->
    <!-- check-circle-icon.svg -->
    <svg
      v-if="props.icon"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
      fill="none"
      stroke="currentColor"
      stroke-width="2"
      stroke-linecap="round"
      stroke-linejoin="round"
      class="flex-shrink-0 mr-2 h-6 w-6 text-gray-500"
    >
      <path d="M22 11.08V12a10 10 0 11-5.93-9.14" />
      <path d="M22 4L12 14.01l-3-3" />
    </svg>
    <!-- check-circle-icon.svg -->
    <span v-if="props.label">{{ props.label }}</span>
  </div>
</template>

<script>
export default {
  name: 'ChecklistItem',
  props: {
    icon: { type: String, default: undefined },
    label: { type: String, default: undefined },
  },
};
</script>
